Bug 64252 - notebook, laptop, suspend, standby, after a while, by itselfs, without warning, even on boot
notebook, laptop, suspend, standby, after a while, by itselfs, without warnin...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-30 13:55 EDT by Need Real Name
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-04-30 13:55:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2.1) Gecko/20010901

Description of problem:
I have the skipjack2beta installed on a notebook. a samsung from the vm8000
Series. I plugin a USB-Mouse and a PS/2 Keybord. both were recognized well.
at all the time (i tried kde3, gnome) the notebook goes to standby. I stopped
the time with a stopclock. exactly 1:38,00 seconds. the next after 1:06,7. i
think its a random-suspend. but i am never able to work fpr more than 2 minutes!
Even at bootup i have to wake up the box several times. So, i don't know which
packet is playing tricks on me here, i declare anaconda as the guilty one. but i
don't know.

/usr/bin/apm and the kdecontrolcenter-energy-part where not helping me.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.turn on pc with boot-disk inserted (installed after 1024 sector or so...)
2.wait just a few seconds, aproximately 1:20,0
3.*bump* box is saving power. and not saving work-time =)
	

Actual Results:  box was saving power. =(

Expected Results:  i exspected a running box. was the first time any linux ran
on this box. gfx-chip was not supported before.

Additional info: on the win2k installation i have to use until the linux works
fine, no such errors appear.
Comment 1 Michael Fulbright 2002-04-30 14:47:05 EDT
Arjan is there some kernel boot line magic to disable apm?
Comment 2 Arjan van de Ven 2002-04-30 14:52:07 EDT
apm=off on the vmlinuz line in /etc/grub/grub.conf
Comment 3 Michael Fulbright 2002-04-30 15:12:19 EDT
Thank you Arjan.

To the original bug reporter - could you try booting with 'apm=off' and see if
the machine behaves better?
Comment 4 Need Real Name 2002-04-30 15:32:49 EDT
ok, an the floppy there was noch /etc/grub/grub.conf
on the hda2 (etx3, / ) was no folder grub in etc.
but a file /etc/grub.conf existed. i put the line "apm=off" without quotes
between the last #-comment line an the first option line.

after a
[dan@localhost /]# reboot
it suspended again. this time at "bringing up interface eth0". but that does not
belongs to it.

now i am waiting the system to finish booting...
i think i did something wrong. *wait*

so, now i added the string "apm=off" without quotes at the end f the vmlinuz-line.
the last chars of it are: "=/dev/hda2 apm=off"
Don't know if there has to be a comma or something like that.

reboot. eth0. no suspend untill now. *PLONK*
record time, but, suspended again.

comparing my vmlinuz-line with some i found on google.de and sdb.suse.de, i
think i did it the right way.

what information can i provide to you, that would help?
there was not much information delivered with the laptop, but, if you want i can
copy/extract some information from it.
i want help, but i am too stupid =)
Comment 5 Michael Fulbright 2002-05-01 11:42:33 EDT
Transferrring this to the kernel component - it is a post installation issue.
Comment 6 Bugzilla owner 2004-09-30 11:39:32 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.